FontFamilyProperty (Apache FOP 2.7 API)
Date: 2022-01-12

org.apache.fop.fo.properties

## Class FontFamilyProperty

- java.lang.Object
- - org.apache.fop.fo.properties.Property
  - - org.apache.fop.fo.properties.ListProperty
    - - org.apache.fop.fo.properties.FontFamilyProperty

-     public final class FontFamilyProperty
      extends ListProperty

  Property class for the font-family property.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `FontFamilyProperty.Maker` Inner class for creating instances of ListProperty

  - ### Field Summary

    - ### Fields inherited from class org.apache.fop.fo.properties.ListProperty

      `list`

    - ### Fields inherited from class org.apache.fop.fo.properties.Property

      `log`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addProperty(Property prop)` Add a new property to the list
    `java.lang.String` | `getString()` This method expects to be overridden by subclasses.

    - ### Methods inherited from class org.apache.fop.fo.properties.ListProperty

      `equals, getList, getObject, hashCode`

    - ### Methods inherited from class org.apache.fop.fo.properties.Property

      `getCharacter, getColor, getCondLength, getEnum, getKeep, getLength, getLengthPair, getLengthRange, getNCname, getNumber, getNumeric, getSpace, getSpecifiedValue, isAuto, setSpecifiedValue, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### addProperty

          public void addProperty(Property prop)

      Add a new property to the list
      Overrides:
        `addProperty` in class `ListProperty`
      Parameters:
        `prop` - Property to be added to the list

    - #### getString

          public java.lang.String getString()

      This method expects to be overridden by subclasses.
      Overrides:
        `getString` in class `Property`
      Returns:
        String property value

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.